Contact

Header Top Menu

Search Google Appliance

Trip Unit Toolkit

Trip Unit Toolkit

Installation requirements:
  • Java version 1.8 or higher (software will install the required Java version)
  • .Net framework 4.51 (update option provided at time of installation)
  • Install program as an administrator
  • To connect via GTU requires GTUTK20. GTUTK20 utilizes a serial interface to communicate.  For computers without a serial communication port a USB to RS232 converter can be utilized.
  • To connect via PremEon S and G devices - a USB to micoUSB cable is required.
  • Additional Language packs are available here.  Please refer to the user guide for installation instructions.

The following USB-RS232 adaptors are recommended when being used with the EntelliGuard Manager Software:

  • FTDI Chip
  • TRENDnet
 
Please provide the following information before downloading the Trip Unit Toolkit.  

* Required Information

 

Let us know what you feel will be the most useful function(s) of the software.  Please pick as many as apply.